Subject: Re: bug#44334: 28.0.50; [eldoc] Impossible to avoid creating the *eldoc for xxx* buffer
From: João Távora <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: Xu Chunyang <[email-masked]>, [email-masked]
Date: Fri, 30 Oct 2020 22:40:35 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

João Távora <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> João Távora <[email-masked]> writes:
>>
>>> The buffer is an implementation detail for the member of 
>>> eldoc-display-functions that writes to the echo area,
>>> so it's hard to do away with.  However, it should be reasonably 
>>> easy to "hide it", as Xu suggests, by prefixing its name with a
>>> space. The the eldoc-display-in-eldoc-buffer display function
>>> just renames it to not have that space, promoting it 
>>> to visible.
>>
>> So the space-prefixed buffer name can (should?) be the default?
>
> Yes. Or rather: by default, if you just use ElDoc like you always did in
> Emacs <28, that buffer shouldn't be bothering you.  I'll see what the
> best implementation for doing that is, but I do suspect it's hiding it
> with a space prefix in the buffer name.

I just pushed a commit fixing this.  Please try it out. The idea is that
if you never M-x eldoc or M-x eldoc-doc-buffer, you are never bothered
by that buffer.  If you do call these commands, the buffer becomes
"interesting" and shows in the normal buffer list, until you kill it,
after which it re-created in space-prefixed "uninterested" form again.

I'm closing this bug, but we could reopen if the problem isn't fixed.

João